unit ucuAgilizaMain;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
  ucuMain;

type
  ucAgilizaMain = class(ucMain)
  protected
   function GetGUIXML(piLevel: Integer): string; override;
  private
end;

implementation

uses
  SysUtils, ucuManager, Classes;

function ucAgilizaMain.GetGUIXML(piLevel: Integer): string;
var
  lStream: TResourceStream;
  lResult: TStringStream;
begin
  lStream := TResourceStream.Create(HInstance, 'mmenu', PChar(10));
  try
    lResult := TStringStream.Create('');
    try
      lResult.CopyFrom(lStream, lStream.Size);
      Result := lResult.DataString;
    finally
      lResult.Free;
    end;
  finally
    lStream.Free;
  end;
end;

initialization

  gucManager.RegisterClass(1, ucAgilizaMain);

end.

